Package org.eclipse.birt.core.ui.frameworks.taskwizard

# Class WizardBaseDialog

java.lang.Object
org.eclipse.jface.window.Window
org.eclipse.jface.dialogs.Dialog
org.eclipse.jface.dialogs.TrayDialog
org.eclipse.jface.dialogs.TitleAreaDialog
org.eclipse.birt.core.ui.frameworks.taskwizard.WizardBaseDialog

All Implemented Interfaces:
  `EventListener`, `org.eclipse.jface.dialogs.IPageChangeProvider`, `org.eclipse.jface.window.IShellProvider`, `org.eclipse.swt.events.ControlListener`, `org.eclipse.swt.events.DisposeListener`, `org.eclipse.swt.events.SelectionListener`

public class WizardBaseDialog extends org.eclipse.jface.dialogs.TitleAreaDialog implements org.eclipse.swt.events.SelectionListener, org.eclipse.swt.events.ControlListener, org.eclipse.swt.events.DisposeListener, org.eclipse.jface.dialogs.IPageChangeProvider
Provides Dialog for WizardBase

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`org.eclipse.jface.window.Window.IExceptionHandler`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final WizardBase`
`wizardBase`
Comment for `wizardBase`

### Fields inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

`DLG_IMG_TITLE_BANNER, DLG_IMG_TITLE_ERROR, INFO_MESSAGE, WARNING_MESSAGE`

### Fields inherited from class org.eclipse.jface.dialogs.Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK, resizeHasOccurred`

## Constructor Summary

Constructors
Constructor
Description
`WizardBaseDialog(WizardBase wizardBase, org.eclipse.swt.widgets.Shell parentShell, int iInitialWidth, int iInitialHeight, String strTitle, org.eclipse.swt.graphics.Image imgTitle)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addPageChangedListener(org.eclipse.jface.dialogs.IPageChangedListener listener)`
`void`
`attachPopup(String sPopupTitle, int iWidth, int iHeight)`
Attaches the popup window.
`protected void`
`buttonPressed(int buttonId)`
`void`
`controlMoved(org.eclipse.swt.events.ControlEvent e)`
`void`
`controlResized(org.eclipse.swt.events.ControlEvent e)`
`void`
`create()`
`protected void`
`createButtonsForButtonBar(org.eclipse.swt.widgets.Composite parent)`
`protected org.eclipse.swt.widgets.Control`
`createDialogArea(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.swt.widgets.Shell`
`createPopupContainer()`
`protected void`
`createTabToolButtons(org.eclipse.swt.custom.CTabFolder tabFolder)`
`void`
`detachPopup()`
`org.eclipse.swt.widgets.Shell`
`getPopupContainer()`
`Object`
`getSelectedPage()`
`protected void`
`initializeBounds()`
`protected void`
`okPressed()`
`void`
`packWizard()`
Packs the wizard to display enough size
`void`
`removePageChangedListener(org.eclipse.jface.dialogs.IPageChangedListener listener)`
`void`
`setMinimumSize(int iWidth, int iHeight)`
Sets the minimum size of the wizard
`protected void`
`setShellStyle(int newShellStyle)`
`void`
`switchTask()`
`void`
`widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)`
`void`
`widgetDisposed(org.eclipse.swt.events.DisposeEvent e)`
`void`
`widgetSelected(org.eclipse.swt.events.SelectionEvent e)`

### Methods inherited from class org.eclipse.jface.dialogs.TitleAreaDialog

`createContents, getErrorMessage, getInitialSize, getMessage, getTitleArea, getTitleImageLabel, setErrorMessage, setMessage, setMessage, setTitle, setTitleAreaColor, setTitleImage`

### Methods inherited from class org.eclipse.jface.dialogs.TrayDialog

`closeTray, createButtonBar, createHelpControl, getLayout, getTray, handleShellCloseEvent, isDialogHelpAvailable, isHelpAvailable, openTray, setDialogHelpAvailable, setHelpAvailable`

### Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, createButton, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getOKButton, initializeDialogUnits, isResizable, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

### Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, configureShell, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setWindowManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### wizardBase

protected final WizardBase wizardBase
Comment for `wizardBase`

## Constructor Details

### WizardBaseDialog

public WizardBaseDialog(WizardBase wizardBase, org.eclipse.swt.widgets.Shell parentShell, int iInitialWidth, int iInitialHeight, String strTitle, org.eclipse.swt.graphics.Image imgTitle)

## Method Details

### setShellStyle

protected void setShellStyle(int newShellStyle)

Overrides:
  `setShellStyle` in class `org.eclipse.jface.window.Window`

### initializeBounds

protected void initializeBounds()

Overrides:
  `initializeBounds` in class `org.eclipse.jface.dialogs.Dialog`

### create

public void create()

Overrides:
  `create` in class `org.eclipse.jface.dialogs.Dialog`

### createDialogArea

protected org.eclipse.swt.widgets.Control createDialogArea(org.eclipse.swt.widgets.Composite parent)

Overrides:
  `createDialogArea` in class `org.eclipse.jface.dialogs.TitleAreaDialog`

### createTabToolButtons

protected void createTabToolButtons(org.eclipse.swt.custom.CTabFolder tabFolder)

### createButtonsForButtonBar

protected void createButtonsForButtonBar(org.eclipse.swt.widgets.Composite parent)

Overrides:
  `createButtonsForButtonBar` in class `org.eclipse.jface.dialogs.Dialog`

### buttonPressed

protected void buttonPressed(int buttonId)

Overrides:
  `buttonPressed` in class `org.eclipse.jface.dialogs.Dialog`

### switchTask

public void switchTask()

### okPressed

protected void okPressed()

Overrides:
  `okPressed` in class `org.eclipse.jface.dialogs.Dialog`

### setMinimumSize

public void setMinimumSize(int iWidth, int iHeight)
Sets the minimum size of the wizard

Parameters:
  `iWidth` - width minimum
  `iHeight` - height minimum

### createPopupContainer

public org.eclipse.swt.widgets.Shell createPopupContainer()

### getPopupContainer

public org.eclipse.swt.widgets.Shell getPopupContainer()

### attachPopup

public void attachPopup(String sPopupTitle, int iWidth, int iHeight)
Attaches the popup window.

Parameters:
  `sPopupTitle` - 'invalid input: '&'' will be removed for accelerator key, if the popup title is from the control text.

### detachPopup

public void detachPopup()

### packWizard

public void packWizard()
Packs the wizard to display enough size

### widgetDefaultSelected

public void widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)

Specified by:
  `widgetDefaultSelected` in interface `org.eclipse.swt.events.SelectionListener`

### widgetSelected

public void widgetSelected(org.eclipse.swt.events.SelectionEvent e)

Specified by:
  `widgetSelected` in interface `org.eclipse.swt.events.SelectionListener`

### controlMoved

public void controlMoved(org.eclipse.swt.events.ControlEvent e)

Specified by:
  `controlMoved` in interface `org.eclipse.swt.events.ControlListener`

### controlResized

public void controlResized(org.eclipse.swt.events.ControlEvent e)

Specified by:
  `controlResized` in interface `org.eclipse.swt.events.ControlListener`

### widgetDisposed

public void widgetDisposed(org.eclipse.swt.events.DisposeEvent e)

Specified by:
  `widgetDisposed` in interface `org.eclipse.swt.events.DisposeListener`

### addPageChangedListener

public void addPageChangedListener(org.eclipse.jface.dialogs.IPageChangedListener listener)

Specified by:
  `addPageChangedListener` in interface `org.eclipse.jface.dialogs.IPageChangeProvider`

### getSelectedPage

public Object getSelectedPage()

Specified by:
  `getSelectedPage` in interface `org.eclipse.jface.dialogs.IPageChangeProvider`

### removePageChangedListener

public void removePageChangedListener(org.eclipse.jface.dialogs.IPageChangedListener listener)

Specified by:
  `removePageChangedListener` in interface `org.eclipse.jface.dialogs.IPageChangeProvider`